/*
 * A small example for using dynstr.
 *
 * This does not get built or installed by the build system.
 */

#include <dynstr.h>
#include <stdio.h>
#include <stdlib.h>


int main(void)
{
    Dynstr *pattern = dynstr_new_from_cstring("needle");
    for (;;) {
        Dynstr *line = dynstr_freadline(stdin);
        if (line == NULL) {
            perror("reading from stdin");
            return EXIT_FAILURE;
        }
        if (dynstr_is_empty(line)) {
            dynstr_free(line);
            break;
        }
        if (dynstr_first_string(line, 0, pattern) != DYNSTR_NOT_FOUND)
            dynstr_fwrite(stdout, line);
        dynstr_free(line);
    }
    return 0;
}
